module Pages.About exposing (Params, Model, Msg, page)

import Html exposing (Html, button, div, h2, h5, img, text, ul, li, a, p, span, i)
import Html.Attributes exposing (src, style, class, alt, href)

import Spa.Document exposing (Document)
import Spa.Page as Page exposing (Page)
import Spa.Url as Url exposing (Url)


page : Page Params Model Msg
page =
    Page.static
        { view = view
        }


type alias Model =
    Url Params


type alias Msg =
    Never



-- VIEW


type alias Params =
    ()


view : Url Params -> Document Msg
view { params } =
    let
        elm_link = a [ href "https://elm-lang.org/" ] [ text "Elm" ]
        coopcloud_link = a [ href "https://coopcloud.tech/" ] [ text "Co-op Cloud" ]
        source_link = a [ href "https://git.coopcloud.tech/coop-cloud/abra-apps" ] [ text "source" ]
        autonomic_link = a [ href "https://autonomic.zone" ] [ text "Autonomic" ]
    in
        { title = "About – Co-op Cloud Recipes"
        , body =
            [ div [ class "pt-3" ]
                [ div [ class "col-md-6 col-sm-10 mb-3 offset-md-3 offset-sm-1" ]
                    [ div [ class "card" ]
                        [ div [ class "card-header" ]
                            [ h2 [] [ text "Co-op Cloud Recipes" ]
                            ]
                        , div [ class "card-body" ]
                            [ p []
                                [
                                    text "a lil' "
                                    , text " tool to display "
                                    , coopcloud_link
                                    , text " apps."
                                ]
                            , p []
                                [
                                    text "written in "
                                    , elm_link
                                    , text " for some reason 🤷"
                                ]
                            ]
                        , div [ class "card-footer" ]
                            [ p []
                                [ text "made with 🤪 at "
                                , autonomic_link 
                                , text " ("
                                , source_link
                                , text ")"
                                ]
                            ]
                        ]
                    ]
                ]
            ]
        }
